#include <bits/stdc++.h>

using namespace std;

bool IntCompare(int i, int j)
{
    return i > j;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    int Niz[n];

    cin >> n;
    for(int i = 0; i < n; ++i)
    {
        cin >> Niz[i];
    }

    if(n == 2)
    {
        cout << Niz[1] << " " << Niz[0];
    }
    else
    {
        for(int i = 0; i < n; ++i)
        {
            for(int j = 0; j < n - 1; ++j)
            {
                if (Niz[j] < Niz[j+1])
                {
                    Niz[j] = Niz[j] + Niz[j+1];
                    Niz[j+1] = Niz[j] - Niz[j+1];
                    Niz[j] = Niz[j] - Niz[j+1];
                }
            }
        }

        for(int i = 0; i < n; ++i)
        {
            cout << Niz[i] << " ";
        }
    }

    return 0;
}